> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workflow performance

> Get performance statistics for a workflow over a specified time range.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['automation']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v3/create-manage-workflows-v3.json GET /automation/v3/performance/workflow/{workflowId}
openapi: 3.0.0
info:
  title: Workflows API v3
  version: 1.0.0
  description: >-
    Workflows API v3 - Auto-generated from MDX documentation. Use the Workflows
    API to create and manage workflows, enroll or remove contacts, and retrieve
    performance data.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /automation/v3/performance/workflow/{workflowId}:
    get:
      summary: Get workflow performance
      description: Get performance statistics for a workflow over a specified time range.
      operationId: getWorkflowPerformance
      parameters:
        - name: workflowId
          in: path
          required: true
          schema:
            type: integer
        - name: start
          in: query
          required: true
          schema:
            type: integer
            format: int64
          description: Start timestamp in milliseconds
        - name: end
          in: query
          required: true
          schema:
            type: integer
            format: int64
          description: End timestamp in milliseconds
        - name: bucket
          in: query
          required: true
          schema:
            type: string
            enum:
              - DAY
              - WEEK
              - MONTH
          description: Bucket granularity
      responses:
        '200':
          description: Performance statistics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowPerformance'
              examples:
                sample:
                  summary: Daily performance buckets
                  value:
                    - series: ENROLLED
                      bucket: '2018-06-29'
                      frequency: 102
                    - series: ENROLLED
                      bucket: '2018-06-28'
                      frequency: 8
                    - series: ENROLLED
                      bucket: '2018-06-27'
                      frequency: 518
                    - series: UNENROLLED
                      bucket: '2018-06-29'
                      frequency: 1
                    - series: COMPLETED
                      bucket: '2018-06-29'
                      frequency: 101
                    - series: COMPLETED
                      bucket: '2018-06-28'
                      frequency: 8
                    - series: COMPLETED
                      bucket: '2018-06-27'
                      frequency: 518
        default:
          $ref: '#/components/responses/Error'
components:
  schemas:
    WorkflowPerformance:
      type: object
      properties:
        series:
          type: string
        bucket:
          type: string
        frequency:
          type: integer
    Error:
      type: object
      properties:
        status:
          type: string
        message:
          type: string
        correlationId:
          type: string
  responses:
    Error:
      description: Error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'

````